Skip to main content
PUT
/
v1
/
bot
/
workspace
/
file
/
rename
Rename/Move File
curl --request PUT \
  --url https://api.boostgpt.co/v1/bot/workspace/file/rename \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "bot_id": "<string>",
  "workspace_uuid": "<string>",
  "old_path": "<string>",
  "new_path": "<string>",
  "is_folder": false
}
'
import requests

url = "https://api.boostgpt.co/v1/bot/workspace/file/rename"

payload = {
"project_id": "<string>",
"bot_id": "<string>",
"workspace_uuid": "<string>",
"old_path": "<string>",
"new_path": "<string>",
"is_folder": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
bot_id: '<string>',
workspace_uuid: '<string>',
old_path: '<string>',
new_path: '<string>',
is_folder: false
})
};

fetch('https://api.boostgpt.co/v1/bot/workspace/file/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "file": {
    "uuid": "<string>",
    "file_path": "<string>",
    "language": "<string>",
    "content": "<string>",
    "version": 123,
    "size_bytes": 123,
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
{
"error": "<string>",
"code": "<string>"
}

Authorizations

Authorization
string
header
required

Enter your API key

Body

application/json
project_id
string
required

Project ID

bot_id
string
required

Agent ID

workspace_uuid
string
required

Workspace UUID

old_path
string
required

Current file path

new_path
string
required

New file path

is_folder
boolean
default:false

Move all files under path prefix (folder rename)

Response

File renamed/moved

file
object